CLASS TEMPL(3)

NAME
boost::program_options::basic_parsed_options

SYNOPSIS

// In header: <boost/program_options/parsers.hpp>
template<typename charT>
class basic_parsed_options {
public:
  // construct/copy/destruct
  basic_parsed_options(const options_description *);
  std::vector< basic_option< charT > > options;
  const options_description * description;
};

DESCRIPTION

Results of parsing an input source. The primary use of this class is passing information from parsers component to value storage component. This class does not makes much sense itself.

  basic_parsed_options public construct/copy/destruct

    1.

    basic_parsed_options(const options_description * xdescription);

  Specializations

    &#8226; Class basic_parsed_options<wchar_t>